| Home | Libraries | People | FAQ | More

## Function replace_head_copy

boost::algorithm::replace_head_copy — Replace head algorithm.

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename OutputIteratorT, typename Range1T, typename Range2T>
      OutputIteratorT
      replace_head_copy(OutputIteratorT Output, const Range1T & Input, int N,
                        const Range2T & Format);
    template<typename SequenceT, typename RangeT>
      SequenceT replace_head_copy(const SequenceT & Input, int N,
                                  const RangeT & Format);

## Description

Replace the head of the input with the given format string. The head is a prefix of a string of given size. If the sequence is shorter then required, whole string if considered to be the head. The result is a modified copy of the input. It is returned as a sequence or copied to the output iterator.

| Note
The second variant of this function provides the strong exception-safety guarantee

Parameters: |
`Format` | A substitute string
`Input` | An input string
`N` | Length of the head. For N>=0, at most N characters are extracted. For N<0, size(Input)-|N| characters are extracted.
`Output` | An output iterator to which the result will be copied
Returns: | An output iterator pointing just after the last inserted character or a modified copy of the input